function [new acc]=nab(ab, nclus, nbe, hm, csq, isig, pa)

%New drawing for  correlation parameter

if nclus>1
    ca=ab(length(ab)); 
    if pa<=1
        error('The proposal parameter must be greater than one')
    end

    bb=-1/(nclus-1); aa=nclus/(nclus-1);
    ppb=2-pa + aa*(pa-1)/(ca-bb);
    if ppb<1
        disp([pa ppb back])
        error('Parameters must be larger than unity')
    end
    
    pop=betarnd(pa,ppb);
    propa=aa*pop+bb;
    qqb= 2-pa + (pa-1)/pop;
    if qqb<1
        disp([pa ppb qqb ca])
        error('Parameters must be larger than unity')
    end
    pisig=eye(nclus)/(csq*((1-propa)*eye(nclus)+ propa*ones(nclus,nclus)));
    q = -pdf_grb(propa,pa,qqb,-bb)  + pdf_grb(ca,pa,ppb,-bb) + 0.5*((nbe-hm)*pisig*(nbe-hm)'-(nbe-hm)*isig*(nbe-hm)'+...
        log(det(pisig)/det(isig)) );
    crit=min(0,q);
    comp=log(rand);
    chg=(crit>=comp);

    new=(propa*chg) + ca*(1-chg);
    acc=chg;
else
    new=0;
    acc=1;
end