function [new acc]=nal(data,iv,al,be,mu,ga,la,om,aal,bal,pa)

%New drawing for common dynamics parameter

ca=al(length(al)); 

if pa<=1
    error('The proposal parameter must be greater than one')
end

pb=(ca+1)^(-1)*(pa*(1-ca) + 2*ca);

if pb<=1 || pb+pa==2
    error('The b proposal parameter is wrong')
end

prop=2*betarnd(pa,pb)-1;
qb=(prop+1)^(-1)*(pa*(1-prop) + 2*prop);

q = pdf_rb(ca,pa,pb) + pdf_al(data,iv,prop,be,mu,ga,la,om,aal,bal) - pdf_rb(prop,pa,qb) - pdf_al(data,iv,ca,be,mu,ga,la,om,aal,bal);
crit=min(0,q);
comp=log(rand);
chg=(crit>=comp);

new=(prop*chg) + ca*(1-chg);
acc=chg;
