function [aal bal aca acb]=new_hypal(al, aal, bal, pa, pb, r,q,aca, acb)

%Updates the whole dynamics hyperparameters

dima=size(al); runa=dima(1); nclus=dima(2);
diaa=size(aal); runaa=diaa(1);
diba=size(bal); runba=diba(1);

if diaa(2)~=diba(2) || diaa(2)~=nclus
    erorr('Dimensions must agree')
end

newaa=NaN(1,nclus); chga=NaN(1,nclus);
newba=NaN(1,nclus); chgb=NaN(1,nclus);

for j=1:nclus
    cpa=pa(j); cpb=pb(j); caa=aal(runaa,j); cba=bal(runba,j); ca=al(runa,j);
    [newaa(j) chga(j)]=naal(ca,caa,cba,r,q,cpa);
    [newba(j) chgb(j)]=nbal(ca,caa,cba,r,q, cpb);
end

aal=[aal(runaa,:); newaa];
bal=[bal(runba,:); newba];
aca=aca+chga;
acb=acb+chgb;
    
    