function [hypb hypt hypa aca]=newhyp(be,indi,hypb,hypt,par,hm,csq,hypa,pa,aca)

%Gibbs step for the beta hyperparams

runhb=size(hypb,1); nclus=size(hypb,2);
chb=hypb(runhb,:); cht=hypt(length(hypt));
runb=size(be,1);  nvar=size(be,2); cb=be(runb,:);
cluc=sum(indi); 
pos=NaN(nvar,1); a=hypa(length(hypa));
hm=hm*ones(1,nclus);

if sum(sum(isnan(cluc)))>0
    disp(indi)
end
if sum(cluc)~=nvar
    disp(indi)
    disp([sum(cluc); nvar])
    error('Something is wrong with the indicators')
end

K=nclus;
if nclus==1
    K=2;
end
  
if csq<=0 || -1/(K-1)>= a || a>= 1
    disp([csq a])
    error('The components of var matrix are not consistent')
end

sig=csq*((1-a)*eye(nclus)+ a*ones(nclus,nclus));
isig=eye(nclus)/sig;

for m=1:nvar
    pos(m)=find(indi(m,:));
end

chk=0;
ful=(indi*chb')';
sbb=par + (cb-ful)*(cb-ful)'/2;

newt=gamrnd(nvar/2+2,1/sbb);

nsig=eye(nclus)/(isig + newt*diag(cluc));
bb=NaN(1,nclus);

for j=1:nclus
    memb=find(pos==j);
    chk=chk+length(memb);
    bb(j)=mean(cb(memb));
end

if chk~=nvar
    error('Not assigning well the membership')
end

nm=(nsig*(isig*hm' + newt*diag(cluc)*bb'))';
nbe=Mnormrnd(nm,nsig,1);
   
[newa acc]=nab(hypa, nclus, nbe, hm, csq, isig, pa);
aca=aca+acc;

hypt=[cht;newt];
hypb=[chb;nbe];
hypa=[a;newa];