function [ga acc]=nga(data,iv,indi,al,be,mu,ga,la,om,ag,acc)

%Draws a new HS step for the skewness parameter

cg=ga(length(ga));

if ag<=1
    error('The parameter in the proposal for gamma must be >1')
end

bg=(ag-1)/cg;
prop=gamrnd(ag,1/bg);
gb=(ag-1)/prop;

tri=pdf_ga(data,iv,indi,al,be,mu,prop,la,om) - pdf_ga(data,iv,indi,al,be,mu, cg, la,om) + pdf_gd(cg,ag,bg) - pdf_gd(prop,ag,gb);
uni=log(rand);
tri=min(0,tri);
chg=(tri>=uni);

acc=acc+chg;

new=(prop*chg) + cg*(1-chg);
ga=[cg;new];
