function [p]=pdf_be(data,iv,indi,al,be,mu,ga,la,om,hypb,hypt)

%Log-pdf of the location parameter

nvar=size(data,2);
mclus=size(indi,1); nclus=size(indi,2);
nvb=size(be,2); dima=size(al,2);
dimhb=size(hypb); runhb=dimhb(1);
chb=hypb(runhb,:); cht=hypt(length(hypt));

if nclus~=dima || dimhb(2)~=nclus
    disp([nclus, dima dimhb(2)])
    error('Clusters and parameters must agree')
end
if ~isequal(nvar,nvb,mclus)
    error('The dimension of beta or indi is not right')
end

chb=(indi*chb')';
cl=la(length(la)); 

runb=size(be,1); cb=be(runb,:);

p= - cl/2*sumtot(data,iv,indi,al,be,mu,ga,om) - cht/2*(cb-chb).^2;
