function [pr] =pdf_nct(x,m,t,v)

%log-pdf of a non central student with mean m, precision p and v dof

% pr=log(t.^(1/2).*tpdf(t.^(1/2).*(x-m),v));

pr=gammaln((v+1)/2) - gammaln(v/2) + 0.5*(log(t) - log(pi*v)) -(v+1)/2.*log(1 + t./v.*(x-m).^2);