function p=pdf_rebe(y,a,b,k)

%log pdf of a beta variate, re-scaled to -1/(k-1),1
if k<1
    error('truncation must be greater than one')
end
if a<=0 || b<=0
    error('parameters must be positive')
end

p= -betaln(a,b) +(a + b-1)*log(1-1/k) + (a-1)*log(1/(k-1)+y) + (b-1)*log(1-y);