function [p]= skt(x,g,l,n)

%pdf of a Skt.  x can be vector valued. 

if g<=0 || l<=0 || n<=0
    error('All parameters must be positive')
end

scl=(x<=0)*g + (x>0)/g;

p=(gamma((n+1)/2)/gamma(n/2))*(2/(g+g^(-1)))*sqrt(l/(pi*n))*(1+l/n*(x.*scl).^2).^(-(n+1)/2);