function [s]=sumi(data,iv,al,be,mu,ga,om)

%The basic quantity in the exponent for each cluster

tt=size(data,1);  nvar=size(data,2);
tim=sum(1-isnan(data)); nobs=sum(tim);
runb=size(be,1); nvb=size(be,2);
runa=length(al); 
niv=size(iv,1); div=size(iv,3);

if niv==1
    mu=mu';
end
ncmu=size(mu,2);

if ncmu~=niv
    disp([ncmu niv])
    error('Length of mu is incorrect')
end

ca=al(runa,:); cg=ga(length(ga));
cb=be(runb,:);


if isequal(nvar,nvb,div)<1
    error('The dimension of beta, cov matrix or indi is not right')
end

s=zeros(1,nvar);

if isequal(nvar*tt,nobs)
    dat0=[zeros(1,nvar);data(1:tt-1,:)];
    cbm=ones(tt,1)*cb;
    reg=NaN(tt,nvar);

    for i=1:nvar
        reg(:,i)=(mu*squeeze(iv(:,:,i)))';
    end
       
    ker=data - ca.*dat0 - cbm.*(1-ca) - (1-ca)*reg;
    scl=( ker<=0)*cg + (ker>0)/cg;
    s=sum(om.*(ker.*scl).^2);
else
    for i=1:nvar
        whos=find(1-isnan(data(:,i)));
        dati=data(whos,i);
        dat0=[0;dati(1:tim(i)-1)];
        ker=dati-ca*dat0-cb(i)*(1-ca) - (1-ca)*(mu*squeeze(iv(:,whos,i)))';
        scl= (ker<=0)*cg + (ker>0)/cg;
        s(i)=sum(om(whos,i).*(ker.*scl).^2);
    end
end