function [al hbe aal bal mu]=identify(al, hbe, aal, bal,mu,ncov,ind)

%Performs the restriction in order to deal with label switching

al1=al(1,:);  al2=al(2,:);
hb1=hbe(1,:); hb2=hbe(2,:);
aa1=aal(1,:); aa2=aal(2,:);
ba1=bal(1,:); ba2=bal(2,:);

if ncov==1
    mu1=mu(1,:);     mu2=mu(2,:);
else
    mu1=squeeze(mu(1,:,:)); mu2=squeeze(mu(2,:,:));
end

if nargin<7
    ind=1;
end
if ind>3
    error('Indicate whether al (1) be (2) or mu(3)')
end
%_________________________________________________________________________________________________
if ind ==1
    [sal idx]=sort(al2);
    sbe=hb2(idx);
    saa=aa2(idx);
    sba=ba2(idx);
    if ncov==1
           smu=mu2(idx);
    else
           smu=mu2(idx,:);
    end
  %________________________________________________________________________________________________
elseif ind==2
    [sbe idx]=sort(hb2);
    sal=al2(idx);
    saa=aa2(idx);
    sba=ba2(idx);
    if ncov==1
           smu=mu2(idx);
    else
           smu=mu2(idx,:);
    end
  %________________________________________________________________________________________________
elseif ind==3
    [smu1 idx]=sort(mu2(:,1));
    sal=al2(idx);
    sbe=hb2(idx);
    saa=aa2(idx);
    sba=ba2(idx);
    smu=mu2(idx,:);
end
%_________________________________________________________________________________________________

al =[al1;sal];
hbe=[hb1;sbe]; 
aal=[aa1;saa] ;
bal=[ba1;sba];
if ncov==1
    mu=[mu1;smu];
else
    mu(1,:,:)=mu1;
    mu(2,:,:)=smu;
end