function [new chg]= naal(al,aal,bal,r,q,pa)

%Update dynamics hyperparameters


if pa<=1
    error('The parameter in the proposal must be >1')
end

caa=aal(length(aal));
pb=(pa-1)/caa;
prop= gamrnd(pa,1/pb);
bp=(pa-1)/prop;

tri= pdf_aal(al,prop,bal,r,q) - pdf_aal(al,caa,bal,r,q) + pdf_gd(caa,pa,pb) - pdf_gd(prop,pa,bp);
uni=log(rand);
tri=min(0,tri);
chg=(tri>=uni);
new=prop*chg + caa*(1-chg);