function [df acc]=ndf(data,df,om,an,acc)

cn=df(length(df));

if an<=1
    error('The paramter in the proposal for nu must be >1')
end

%Gamma propsal with mode at previous value
bn=(an-1)/cn;
prop = gamrnd(an,1/bn);
nb=(an-1)/prop;
tri = pdf_nu(data,prop,om) - pdf_nu(data,cn,om) - pdf_gd(prop,an,nb) + pdf_gd(cn,an,bn);

%expoential proposal with mean at the previous value
% prop=gamrnd(1e0,cn);
% tri = pdf_nu(data,prop,om) - pdf_nu(data,cn,om) + pdf_gd(cn,1e0,1/cn) - pdf_gd(prop,1e0,1/cn);

%Gamma-Gamma proposal
% uu=rand; aa=25;
% prop = (aa*sqrt(uu))/(1-sqrt(uu));
% tri = pdf_nu(data,prop,om) - pdf_nu(data,cn,om) + pri_nu(cn,aa,2) - pri_nu(prop,aa,2);

%Inverted Pareto proposal with mean ate previous value
% uu=rand; bb=50;
% aa=cn/(bb-cn);
% prop=bb*uu^(1/aa);
% a2=prop/(bb-prop);
% tri = pdf_nu(data,prop,om) - pdf_nu(data,cn,om) + pdf_ip(cn,aa,bb) -pdf_ip(prop,a2,bb);

uni=log(rand);
tri=min(0,tri);
chg=(tri>=uni);
new=(prop*chg) + cn*(1-chg);

acc=acc+chg;
df=[cn;new];