function p =pdf_grb(y,a,b,c)

%log pdf of a beta distribution re-scaled to (-c,1)

if c<0 || a<0 || b<0
    error('All parameters must be positive')
end

p = (1-a-b)*log(1+c) - betaln(a,b) +(a-1).*log(c+y) + (b-1).*log(1 -y);