function [p]= pdf_nu(data,df,om)

%log pdf of the degrees of freedom

dimd=size(data); tt=dimd(1); nvar=dimd(2);
tim=sum(1-isnan(data)); nobs=sum(tim); cn=df(length(df)); 

ss=0; sl=0;

if isequal(nobs,tt*nvar)
    ss=sum(sum(om));
    sl=sum(sum(log(om)));
else
    for i=1:nvar
        whos=find(1-isnan(data(:,i)));
        ss = ss + sum(om(whos,i));
        sl = sl + sum(log(om(whos,i)));
    end
end

p= nobs*((cn/2)*log(cn/2) - gammaln(cn/2)) -cn*(ss/2) +(cn-1)/2*sl;

%Comment our accordingly 1=gamma; 2=Gamma-Gamma; 3=Jeffreys
p =  pri_nu(cn,[],1) + p;
% p =  pri_nu(cn,.1,2) + p;
% p =  pri_nu(cn,[],3) +p;
