function [y]=rdiri(par,n)

%Generates n random vectors from a Dirichlet distribution with parameter par

if nargin<2
    n=1;
end

if sum(par<=0)>0 || n<1
    error('Parameters must be positive')
end

y=gamrnd(ones(n,1)*par,1);


y=y./(y*ones(length(par),length(par)));
